﻿# ApliCezdlihClient

## Primjeri pokretanja programa

### Parametri programa

Obavezan parametar je -s (station_name).

Možemo promijeniti logiranje:

    -n (default 3, "info") količina zapisa
    -l folder (primjer "C:\Aplikacija\logs") u koji se smještaju log datoteke

Folder s podacima (u kojem su dl2 datoteke) navodimo:

    -d parametrom (primjer "C:\Aplikacija\data")

NOTE: program koristi subfolder (naziva) "ApliCezdlihClient" za smještaj *svojih* datoteka.

Komunikaciju s ApliManagerom mijenjamo parametrima:
    
    -a (default 20140) je port na kojem radi ApliManager
    -m (default 20146) je port na kojem radi ApliCezdlihClient
    -P nalaže ApliCezdlihClientu da NE provjerava odgovara li ApliManager na ping poruku

Parametre umetnute (nosioca) kartice (smartcard) možemo navesti parametrima:

     -I smartcard id
     -M smartcard mbo
     -N ime (name)
     -S prezime (surname)

Parametri za komunikaciju s RabbitMq serverom:

    -c definira prefix naziva config (dl2) datoteke

Parametar za envirnoment (certifikacija ili produkcija):

    -e c|p

Parametri za komunikaciju s Cezih web servisima:

    -r URL Cezdlih web servisa
        default na produkciji https://cezdlihws.zdravlje.hr:10443/
        default na certifikaciji https://cezdlihwstest.cuspis.com:10085/
    
    -R URL EVac (Cijepih) web servisa
      (poruke ObavijestOCijepljenje, UpitOCijepnomKartonuOsobe, OtkazivanjeObavijestOCijepljenje, UpitOCijepnimKartonimaIzabranogLijecnika)
        default na produkciji https://evac.portal.zdravlje.hr/WebServices2/CEZDLIHWS.asmx
        default na certifikaciji https://evaccert.zdravlje.hr/WebServices2/CEZDLIHWS.asmx

    -E URL eNarucivanje web servisa
        default na produkciji http://e-narucivanje.cezih.hr:32859/DohvatListeNarucenihPacijenata
        default na certifikaciji http://cezeltest.cezih.hr:32859/DohvatListeNarucenihPacijenata

    -C URL CovidImporter web servisa
        default na produkciji https://ezdravstveno.hzzo.hr/COVID19/COVID-19/Importer.asmx
        default na certifikaciji https://ezdravstveno.hzzo.hr/COVID19_Test/COVID-19/Importer.asmx


### Pokretanje programa na produkciji

Primjeri su:

ApliCezdlihClient -s x-dario-w10

ApliCezdlihClient -s x-dario-w10 -d "C:\Aplikacija\data" -c 192_168_56_1

### Pokretanje programa (test) na certifikaciji

Navodimo -ec (environment certifikacija).

Primjeri su:

ApliCezdlihClient -s x-dario-w10 -n4 -l "C:\Aplikacija\logs" -ec -a 20146 -d "C:\Aplikacija\data" -c 192_168_56_1 -m 20140 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR"

ApliCezdlihClient -s x-dario-w10 -n3 -l "C:\Aplikacija\logs" -ec -a 20146 -d "C:\Aplikacija\data" -c 192_168_56_1 -m 20140 -I 0012692 -M 990001750 -N "VJERA" -S "TES_SES46 PTIČAR" -P
