﻿# ApliUpdater

## Primjeri pokretanja programa

### Parametri programa

Obavezni parametri su:

  -s (station_name)
      naziv stanice
  -p (program)
      naziv programa (bez .exe ekstenzije)
  -f (folder)
      folder programa kojeg treba ažurirati (primjer "C:\Aplikacija\ApliLoader")

ApliStore podaci:
  -t (store)
        URI ApliStore servisa, npr https://aplikacija.com/apli_legion/api_v7
  -v (store_ver)
       verzija ApliStore protokola, default 1.0.0

Opcionalni parametri:
  -B (build)
      koju tehnologiju treba instalirati (net40, net45 ili alaska19, alaska20)

Možemo promijeniti logiranje:

  -n (loglevel)
      (default 3) zapisuju se zadane kategorije ispisa
  -l (logdir)
      folder (primjer "C:\Aplikacija\logs") u kojem se rade log datoteke

Ako je potreban cache apf datoteka:

  -A (apf_cache)
      folder u koji se spremaju downloadirane apf datoteke  

### Pokretanje programa radi update-a alaska legion programa

Primjeri su:

ApliUpdater -s x-dario-w10 -p ApliActiveXReg -f "e:\Aplikacija\ApliActiveXReg" -t "https://aplikacija.com/alaska_legion/api_v7"
ApliUpdater -s x-dario-w10 -p ApliActiveXReg -f "e:\Aplikacija\ApliActiveXReg" -n3 -l "e:\Aplikacija\logs" -t "https://aplikacija.com/alaska_legion/api_v7"

### Pokretanje programa radi update-a apli legion programa

Primjeri su:

ApliUpdater -s x-dario-w10 -p ApliUpdater -f "c:\Aplikacija\ApliUpdater" -t "https://aplikacija.com/apli_legion/api_v7"
ApliUpdater -s x-dario-w10 -p ApliUpdater -f "c:\Aplikacija\ApliUpdater" -n3 -l "c:\Aplikacija\logs" -t "https://aplikacija.com/apli_legion/api_v7"
